%define prefix /usr/X11R6

Summary: A color VT102 terminal emulator for the X Window System.
Name: rxvt
Serial: 5
Version: 2.6.3
Release: 2
Copyright: distributable
Group: User Interface/X
URL: http://www.rxvt.org
Source: ftp://ftp.rxvt.org/pub/rxvt/%{name}-%{version}.tar.gz
Source3: rxvt.xinitrc
Patch1: rxvt-2.6.3-utmp98.patch
Patch2: rxvt-2.6.1-colorapprox.patch
Patch3: rxvt-2.6.1-fixscroll.patch
Patch4: rxvt-2.6.1-fixkeys.patch
Buildroot: %{_tmppath}/%{name}-root

%description
Rxvt is a color VT102 terminal emulator for the X Window System.  Rxvt
is intended to be an xterm replacement for users who don't need the
more esoteric features of xterm, like Tektronix 4014 emulation,
session logging and toolkit style configurability.  Since it doesn't
support those features, rxvt uses much less swap space than xterm
uses.  This is a significant advantage on a machine which is serving a
large number of X sessions.

The rxvt package should be installed on any machine which serves a
large number of X sessions, if you'd like to improve that machine's
performance.

%prep
%setup -q
%patch1 -p1 -b .utmp98
%patch2 -p1 -b .colorapprox
#%patch3 -p1 -b .fixscroll
%patch4 -p1 -b .fixkeys

autoconf -l autoconf autoconf/configure.in > configure

%build
%configure --prefix=%{prefix} --exec-prefix=%{prefix} \
	--mandir=%{prefix}/man \
	--enable-utmp --enable-xpm-background \
	--enable-xgetdefault --enable-ttygid \
	--enable-transparency --enable-menubar --enable-xim 

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d

%makeinstall DESTDIR=$RPM_BUILD_ROOT bindir=%{prefix}/bin \
	mandir=%{prefix}/man/man1

install -m 644 doc/rxvt.1 ${RPM_BUILD_ROOT}%{prefix}/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Utilities

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/rxvt.desktop <<EOF
[Desktop Entry]
Name=Rxvt
Name[sv]=Rxvt
Type=Application
Comment=small, fast X terminal application
Comment[sv]=litet och snabbt X-terminalprogram
Icon=rterm.xpm
MiniIcon=mini-sh1.xpm
Exec=rxvt
EOF

install -m 755 $RPM_SOURCE_DIR/rxvt.xinitrc \
	$RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d

chmod 0644 doc/menu/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%{prefix}/bin/*
%{prefix}/man/man1/*
%config(missingok) /etc/X11/applnk/Utilities/rxvt.desktop
%config(missingok) /etc/X11/xinit/xinitrc.d/rxvt.xinitrc

%changelog
* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug #15367)

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- fix DoS bug (Bug #14702)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- fix permission

* Sat May 20 2000 Ngo Than <than@redhat.de>
- update 2.6.2 for 7.0
- clean up specfile

* Thu Feb 23 2000 Preston Brown <pbrown@redhat.com>
- remove app defaults file, we patched keys in the source

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- complies with debian keyboard bindings / xterm

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- fix scrolling behaviour when scrollbar at bottom of range (#9335)

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- color approximation patch for 8bpp from Hans (bug #9171)
- gzip man pages
- app defaults not config files
- wmconfig -> desktop

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- fix up key bindings

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- fix man page doc error (#6098)

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- get rid of the stupid %configure macro that scrwed up the UTMP support in
  rxvt (--enable-everything was a devel release option only, should've
  checked that is still valid before reverting!!!)
- why did we revert in the first place?

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- downgraded to rxvt 2.6.1.  2.7.x is the devel. branch!
- removed meta-key hotkey patch, phasing this nonstandard patch out.

* Mon Aug  9 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 2.7.0.

* Thu Jun 16 1999 Bill Nottingham <notting@redhat.com>
- turn on some stuff in configure

* Tue Jun 14 1999 Bill Nottingham <notting@redhat.com>
- use --enable-ttygid

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.6.0.
- add --enable-xgetdefault (#3309).

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- added unix98 pty support

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- updated for utmpwrap

* Tue Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- added back the "old" alt-< and alt-> font change behaviour
- put the manpage in the right place

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 2.6.PRE2.  Marked as unstable, but rxvt is always unstable...

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- fix glibc-2.1 utmpx compilation problem -- add -D_GNU_SOURCE (#638).

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- bumped spec # for 6.0 build

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix to enable keypad

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.7
- old version used to be called 2.20, so now we are Serial: 1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- make rxvt use standard XGetDefault instead of built-in one.
